Bug 243811 - www/webhook: fix build on aarch64
Summary: www/webhook: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 17:22 UTC by Mikael Urankar
Modified: 2020-02-24 20:03 UTC (History)
2 users (show)

See Also:
stb: maintainer-feedback+


Attachments
patch (1.27 KB, patch)
2020-02-02 17:22 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 17:22:47 UTC
Created attachment 211287 [details]
patch

# github.com/adnanh/webhook/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body
Comment 1 stb 2020-02-04 11:49:02 UTC
Would you be so kind to briefly explain what this change is doing? Have you submitted a PR upstream?
Comment 2 Mikael Urankar freebsd_committer 2020-02-04 13:49:13 UTC
The patch updates golang.org/x/sys with a version that supports FreeBSD arm64.
I have a lot of ports to fix, not sure I'll be able to open a PR in every case, can you open a PR upstream?
Comment 3 stb 2020-02-04 14:07:30 UTC
Is this a general issue, or is it FreeBSD specific? Can I read more about the issue somewhere?
Comment 4 Mikael Urankar freebsd_committer 2020-02-04 15:30:06 UTC
It's specific to FreeBSD/aarch64. Support for go on FreeBSD/aarch64 was added recently : https://github.com/golang/go/issues/24715.
I'm not very familiar with the go ecosystem but it seems that every project use a random golang.org/x/sys/unix version, some of them pick a really old version of sys/unix or x/net where FreeBSD/aarch64 is not a thing.

This is the 'master' pr for 'go' problem on aarch64 : https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242312
Comment 5 Emmanuel Vadot freebsd_committer 2020-02-21 11:57:35 UTC
Approved-by: manu (mentor)
Comment 6 commit-hook freebsd_committer 2020-02-24 20:01:55 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 20:01:31 UTC 2020
New revision: 527046
URL: https://svnweb.freebsd.org/changeset/ports/527046

Log:
  www/webhook: unbreak on aarch64

  Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64

  PR:		243811
  Approved by:	stb@lassitu.de (maintainer), manu (mentor)

Changes:
  head/www/webhook/Makefile
  head/www/webhook/distinfo